Bon voilà c'est la merde !!!!! Un switch HP Procurve vient de péter !!!!

Pas grave il est garanti à vie !!! Ça c'est la bonne nouvelle ! Et la mauvaise ?

C'est que quand son remplaçant va arriver va falloir se coltiner toute la configuration à la main !!!

Sauf si ? Sauf si t'as été malin et que t'as sauvegarder les configurations des switch sur ton serveur TFTP !

Merci c'est sympa mais comment qu'on fait ?

  1. Avoir un serveur TFTP
  2. Faire la sauvegarde
  3. Pousser la sauvegarde sur le nouveau matériel !

C'est parti

1 - Avoir un serveur TFTP

Sous GNU/Linux Ubuntu et dérivées

sudo apt-get install atftpdsudo apt-get install atftpd 

et ensuite pour la configuration ?

sudo vim /etc/default/atftpd

et mettre

USE_INETD=false

OPTIONS="–daemon –tftpd-timeout 300 –retry-timeout 5 –mcast-port 1758 –mcast-addr 239.239.239.0-255 –mcast-ttl 1 –maxthread 100 –verbose=5 /srv/tftp"

puis lancer

mkdir –p /srv/tftp

sudo chmod 777 /srv/tftp

On demare atftpd

sudo invoke-rc.d atftpd start 

 

Et maintenant que c'est prêt, on fait comment ?

sur le switch on fait

Backup de la configuration

Serveur TFTP sur le 10.31.0.25

1 - Faire un ping depuis le CLI pour verifier que le serveur TFTP est accessible

ProCurve 2910al-48G Switch# ping xxx.xxx.xxx.xxx 

xxx.xxx.xxx.xxx is alive, time = 11 ms

xxx.xxx.xxx.xxx est l'adresse IP du serveur TFTP

2 - Faire le backup

ProCurve 2910al-48G Switch# copy running-config tftp xxx.xxx.xxx.xxx config.cfg

3 – vérifier que le fichier config.cfg a bien été reçu sur le serveur TFTP.

 

 Restauration de config depuis un switch en configuration usine

1 – créer une adresse ip sur le switch pour envoyer le fichier de conf

ProCurve 2910al-48G Switch# conf terminal

ProCurve 2910al-48G Switch(config)# vlan 1

ProCurve 2910al-48G Switch(vlan-1)# ip address 10.31.7.25 255.255.248.0

ProCurve 2910al-48G Switch(vlan-1)# exit

ProCurve 2910al-48G Switch(config)# exit

2 - Faire un ping depuis le CLI pour vérifier que le serveur TFTP est accessible

ProCurve 2910al-48G Switch# ping 10.31.0.25

10.31.0.25 is alive, time = 146 ms

3–restoration de la conf

ProCurve 2910al-48G Switch# copy tftp startup-config 10.31.0.25 config.cfg

Device may be rebooted, do you want to continue [y/n]?  y

00000K

Rebooting switch...

Voilà c'est fait, depuis le précédent billet mon environnement de travail est devenu Awesome.

C'est un tilling WM, qui permet de travailler avec le clavier et un peu la souris.

J'avais un petit soucis d'affichage avec pcmanfm et thunar qui n'affichaient pas les icônes.

La solution est très simple.  Il faut créer un fichier à la racine de l'utilisateur

vim .gtkrc-2.0

et mettre dedans

gtk-icon-theme-name = "Humanity"

et c'est tout !!!!

 

Pourquoi vous n'êtes pas obligés d'acheter un nouvel ordinateur à cause de la fin du support de Windows XP ?

Tout simplement parce que vous n’êtes pas des moutons, ni des Américains !

L'ensemble de l'industrie informatique voudrait vous faire vroire qu'il n'y a pas d'autre solution ! Votre "vieux" poste à déjà 5 ans ! Il faut le changer car il vous faut Windows 8 ! Pourquoi parce qu'ils se nourrissent de votre crédulité !

Windows 8 pourquoi faire de plus qu'avec Windows XP ?

Votre ordinateur vous sert à quoi ?

  1. Surf sur internet ( google, Facebook, twitter, ....)
  2. Messagerie
  3. Consultation de photos, vidéos, musique
  4. Bureautique ( Lettres, tableaux, affiches )

Windows 8 le fait certainement très bien ,mais XP aussi ! et si le fait que le support de Windows XP soit arrêté avec tous les soucis que cela risque de générer

  • Virus
  • Chevaux de troie
  • Spams
  • Spyware
  • ...... La liste est longue

Il n'est pas nécessaire pour vous de mettre la main à la poche et rien ne vous oblige à acheter un nouvel ordinateur. Les distributions Gnu/Linux sont une alternative fiable et durable.

Mon vieux portable à déjà 6 ans et fonctionne très bien pour toute la famille depuis tout ce temps

  • Chacun sa session
  • Pas de gestion de L'antivirus
  • Surf sur internet ( google, Facebook, twitter, ....)
  • Consultation de photos, vidéos, musique
  • Messagerie
  • Bureautique ( Lettres, tableaux, affiches )
  • Jeux sur internet ( Habbix, etc .... vos enfants vous expliqueront )
  • Surf sans flicage ACTA

Les logiciels Libres sont une alternative à tout cela

Bonne Migration à tous lors

  • D'une install partie ( Prochaine Samedi 29 Mars 2014 au BIJ du centre culturel de Villeneuve sur Lot )
  • D'un atelier Ledatux ( Renseignements tél.09 65 23 02 28, Cette adresse e-mail est protégée contre les robots spammeurs. Vous devez activer le JavaScript pour la visualiser. )
  • D'un Atelier Ordi 2.0 ( Tél : 05 53 40 49 11,  Cette adresse e-mail est protégée contre les robots spammeurs. Vous devez activer le JavaScript pour la visualiser. )

 

et avec une distribution qui vous conviendra

Pour Ubuntu 14.04 et 15.04  : suivre le point 1

https://help.ubuntu.com/community/CitrixICAClientHowTo

 

 

Il faut suivre la partie Citrix Receiver 12.1 on Ubuntu 13.10 64-bit

https://help.ubuntu.com/community/CitrixICAClientHowTo

Citrix Receiver 12.1 sur Ubuntu 13.10 64-bit

 

 

1. Installation des dependances

 

libmotif4:i386 nspluginwrapper lib32z1 libc6-i386 en exécutant la commande suivante

sudo apt-get install libmotif4:i386 nspluginwrapper lib32z1 libc6-i386

 

 

2. Obtenir le .deb officiel Citrix Receiver 12.1

 

Depuis : https://www.citrix.com/downloads/citrix-receiver/receivers-by-platform/receiver-for-linux-121.html

PS : Prenez le téléchargement depuis la section "64-bit systems". Ne fonctionne pas avec chrome, utilisez Firefox !

 

3. Réparer le package .deb cassé

 

Le package .deb est défectueux, vous pouvez le réparer en utilisant les commandes suivantes.

cd ~/Downloads
mkdir ica_temp
dpkg-deb -x icaclient__12.1.0_amd64.deb ica_temp
dpkg-deb --control icaclient__12.1.0_amd64.deb ica_temp/DEBIAN
sudo gedit ica_temp/DEBIAN/control

Et changez la ligne qui commence par "Depends: ..." par  "Depends: libc6-i386 (>= 2.7-1), lib32z1, nspluginwrapper "

Reconstruisez le package

dpkg -b ica_temp icaclient-modified.deb

 

4. Installez le package corrigé

sudo dpkg -i icaclient-modified.deb

 

Cette installation doit vous donnez l'erreur suivante :

dpkg: error processing icaclient (--install):
 subprocess installed post-installation script returned error exit status 2
Errors were encountered while processing:
 icaclient

Il est possible de solutionner le problème en changeant la ligne 2648 du fichier /var/lib/dpkg/info/icaclient.postinst:

On ouvre le fichier avec vim

sudo vim /var/lib/dpkg/info/icaclient.postinst


Numéroter les lignes dans vim faire echap suivi de

:set num

Trouver la ligne
echo $Arch|grep "i[0-9]86" >/dev/null

Et modifiez la en :

echo $Arch|grep -E "i[0-9]86|x86_64" >/dev/null

 

Relancez la post installation

sudo dpkg --configure icaclient

 

5. Ajoutez les certificats SSL

Certains sites peuvent donner des erreurs SSL; Firefox posséde plus de Certificats que Citrix, Pour les ajouter faites : 

sudo ln -s /usr/share/ca-certificates/mozilla/* /opt/Citrix/ICAClient/keystore/cacerts/

6. Il manque quand meme quelque chose parce que cela ne fonctionne pas !!!

En effet si vous tentez de vous connecter à votre CAG cela ne fonctionne pas ! Pas d'affichage de votre session !

Si vous lancez Firefox depuis un terminal ( terminator par exemple ) vous verrez qu'il vous annonce qu'il manque une librairie : libasound2:i386

Pour remédier à cela faites

sudo apt-get install libasound2:i386

Voilà c'est tout ! Bon travail
 

En voilà une bonne question !

 

J'ai décider de répondre par moi même à cette question afin de donner des informations aux utilisateurs lambda d'informatique.

Partons à l'envers et regardons quels sont vos usages, dans la majorité des cas, vous utilisez l'ordinateur pour

  • aller sur internet ( Mail, Facebook, Surf ( recherches, achats, consultation de comptes )),
  • regarder vos photographies et vos vidéos, et éventuellement les retoucher
  • faire de la bureautique ( traitement de texte, tableur )
  • Mettre à jour votre antivirus
  • dépanner votre ordinateur qui rame et qui plante

Regardons maintenant mes usages à moi

  • aller sur internet ( Mail, Facebook, Surf ( recherches, achats, consultation de comptes )),
  • regarder vos photographies et vos vidéos, et éventuellement les retoucher
  • faire de la bureautique ( traitement de texte, tableur )

Vous ne remarquez rien ? il manque juste deux lignes ! Celles qui concernent l'antivirus et les "ramages" !

Pourquoi ? Parce que Gnu/Linux n'a pas besoin d'anti-virus pour fonctionner car il n'y a pas de virus sous Gnu/linux !

 Déjà là, normalement certains d'entre vous, voire même tous, se disent 

" Merde moi je me fait chier à trouver un antivirus gratuit et je sais même pas si il fonctionne correctement !"


Et oui ! moi je n'ai pas d'antivirus sur mes machines et je m'en porte pas plus mal car ma machine ne perd pas de temps à faire fonctionner l'antivirus mais toute la puissance est pour mes programmes ! Cela me permet aussi d'utiliser un ordinateur "vieux" de 5 ans sans soucis ! Plus besoin de changer votre machine tout les 3 ans comme voudrait vous faire croire Microsoft et les constructeurs d'ordinateurs, vous protégerez votre porte monnaie et la planète !

 Bon là déjà normalement j'ai déjà touché une corde sensible, le FRIC ! mais j'ai pas encore fini mon argumentation

Pourquoi vous devriez utiliser un système libre GNU/Linux en plus des arguments cités ci-dessus ?

Pour :

  • La Sécurité
  • La Facilité d'utilisation
  • La Personnalisation des interfaces
  • Les possibilités logicielles

 

  • La sécurité des systèmes de type Unix n'est plus à mettre en avant ! Nos banques les utilisent, c'est dire la sécurité de ces logiciels.

Sous-catégories

Vous trouverez dans cette section des tutoriels sur l'usage des differentes version de windows